X2Go Bug report logs - #201
x2gobroker: incomplete install

version graph

Package: x2gobroker; Maintainer for x2gobroker is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2gobroker is src:x2gobroker.

Reported by: Jan Engelhardt <jengelh@inai.de>

Date: Tue, 7 May 2013 09:48:02 UTC

Severity: normal

Tags: pending

Found in version 0.0.2.0

Fixed in version 0.0.2.1

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#201; Package x2gobroker. (Tue, 07 May 2013 09:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jan Engelhardt <jengelh@inai.de>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 07 May 2013 09:48:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Jan Engelhardt <jengelh@inai.de>
To: submit@bugs.x2go.org
Subject: x2gobroker: incomplete install
Date: Tue, 7 May 2013 11:41:07 +0200 (CEST)
Package: x2gobroker
Version: 0.0.2.0

What is being executed:
make install DESTDIR=/bla

What is being observed:
make: Nothing to be done for `install'.

What is expected instead:
Install the just-compiled programs and python codes.


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#201; Package x2gobroker. (Tue, 07 May 2013 10:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jan Engelhardt <jengelh@inai.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 07 May 2013 10:33:02 GMT) Full text and rfc822 format available.

Message #10 received at 201@bugs.x2go.org (full text, mbox):

From: Jan Engelhardt <jengelh@inai.de>
To: 201@bugs.x2go.org
Subject: Re: Bug#201: Acknowledgement (x2gobroker: incomplete install)
Date: Tue, 7 May 2013 12:25:31 +0200 (CEST)
[Message part 1 (text/plain, inline)]

[0001-Populate-install-target-of-Makefile.patch (text/x-patch, attachment)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#201; Package x2gobroker. (Tue, 14 May 2013 10:57:46 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 14 May 2013 10:57:46 GMT) Full text and rfc822 format available.

Message #15 received at 201@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Jan Engelhardt <jengelh@inai.de>, 201@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#201: x2gobroker: incomplete install
Date: Tue, 14 May 2013 12:48:03 +0200
[Message part 1 (text/plain, inline)]
Hi Jan,

On Di 07 Mai 2013 11:41:07 CEST Jan Engelhardt wrote:

> What is being executed:
> make install DESTDIR=/bla
>
> What is being observed:
> make: Nothing to be done for `install'.
>
> What is expected instead:
> Install the just-compiled programs and python codes.

I'd higly appreciate if we could work together on this.

The source tree of x2gobroker.git provides several binary packages to  
install (see /debian/control for details and dependencies [1]).

[1] http://code.x2go.org/gitweb?p=x2gobroker.git;a=blob;f=debian/control


python-x2gobroker (mostly covered by setup.py):

/.
/etc
/etc/default
/etc/default/python-x2gobroker
/etc/x2go
/etc/x2go/broker
/etc/x2go/broker/x2gobroker-loggers.conf
/etc/x2go/broker/x2gobroker-sessionprofiles.conf
/etc/x2go/x2gobroker.conf
/etc/pam.d
/etc/pam.d/x2gobroker
/var
/var/log
/var/log/x2gobroker
/usr
/usr/lib
/usr/lib/python2.6
/usr/lib/python2.6/dist-packages
/usr/lib/python2.6/dist-packages/x2gobroker
/usr/lib/python2.6/dist-packages/x2gobroker/web
/usr/lib/python2.6/dist-packages/x2gobroker/brokers
/usr/lib/python2.6/dist-packages/x2gobroker/tests
/usr/lib/python2.6/dist-packages/x2gobroker/nameservices
/usr/lib/python2.6/dist-packages/x2gobroker/authmechs
/usr/lib/python2.6/dist-packages/x2gobroker-0.0.2.1.egg-info
/usr/lib/python2.7
/usr/lib/python2.7/dist-packages
/usr/lib/python2.7/dist-packages/x2gobroker
/usr/lib/python2.7/dist-packages/x2gobroker/web
/usr/lib/python2.7/dist-packages/x2gobroker/brokers
/usr/lib/python2.7/dist-packages/x2gobroker/tests
/usr/lib/python2.7/dist-packages/x2gobroker/nameservices
/usr/lib/python2.7/dist-packages/x2gobroker/authmechs
/usr/lib/python2.7/dist-packages/x2gobroker-0.0.2.1.egg-info
/usr/share
/usr/share/doc
/usr/share/doc/python-x2gobroker
/usr/share/doc/python-x2gobroker/README
/usr/share/doc/python-x2gobroker/NEWS.gz
/usr/share/doc/python-x2gobroker/buildinfo_all.gz
/usr/share/doc/python-x2gobroker/copyright
/usr/share/doc/python-x2gobroker/TODO
/usr/share/doc/python-x2gobroker/changelog.Debian.gz
/usr/share/pyshared
/usr/share/pyshared/x2gobroker
/usr/share/pyshared/x2gobroker/web
/usr/share/pyshared/x2gobroker/web/extras.py
/usr/share/pyshared/x2gobroker/web/__init__.py
/usr/share/pyshared/x2gobroker/web/uccs.py
/usr/share/pyshared/x2gobroker/web/html.py
/usr/share/pyshared/x2gobroker/web/plain.py
/usr/share/pyshared/x2gobroker/web/json.py
/usr/share/pyshared/x2gobroker/brokers
/usr/share/pyshared/x2gobroker/brokers/zeroconf_broker.py
/usr/share/pyshared/x2gobroker/brokers/ldap_broker.py
/usr/share/pyshared/x2gobroker/brokers/base_broker.py
/usr/share/pyshared/x2gobroker/brokers/__init__.py
/usr/share/pyshared/x2gobroker/brokers/inifile_broker.py
/usr/share/pyshared/x2gobroker/utils.py
/usr/share/pyshared/x2gobroker/defaults.py
/usr/share/pyshared/x2gobroker/agent.py
/usr/share/pyshared/x2gobroker/basicauth.py
/usr/share/pyshared/x2gobroker/authservice.py
/usr/share/pyshared/x2gobroker/__init__.py
/usr/share/pyshared/x2gobroker/tests
/usr/share/pyshared/x2gobroker/tests/test_broker_zeroconf.py
/usr/share/pyshared/x2gobroker/tests/test_broker_inifile.py
/usr/share/pyshared/x2gobroker/tests/runalltests.py
/usr/share/pyshared/x2gobroker/tests/__init__.py
/usr/share/pyshared/x2gobroker/tests/test_uccsjson.py
/usr/share/pyshared/x2gobroker/tests/test_web_uccs_zeroconf.py
/usr/share/pyshared/x2gobroker/tests/test_web_plain_zeroconf.py
/usr/share/pyshared/x2gobroker/tests/test_utils.py
/usr/share/pyshared/x2gobroker/tests/test_broker_base.py
/usr/share/pyshared/x2gobroker/tests/test_web_plain_inifile.py
/usr/share/pyshared/x2gobroker/tests/test_web_plain_base.py
/usr/share/pyshared/x2gobroker/x2gobroker_exceptions.py
/usr/share/pyshared/x2gobroker/nameservices
/usr/share/pyshared/x2gobroker/nameservices/libnss_nameservice.py
/usr/share/pyshared/x2gobroker/nameservices/__init__.py
/usr/share/pyshared/x2gobroker/nameservices/testsuite_nameservice.py
/usr/share/pyshared/x2gobroker/nameservices/base_nameservice.py
/usr/share/pyshared/x2gobroker/config.py
/usr/share/pyshared/x2gobroker/_paramiko.py
/usr/share/pyshared/x2gobroker/authmechs
/usr/share/pyshared/x2gobroker/authmechs/testsuite_authmech.py
/usr/share/pyshared/x2gobroker/authmechs/htpasswd_authmech.py
/usr/share/pyshared/x2gobroker/authmechs/base_authmech.py
/usr/share/pyshared/x2gobroker/authmechs/pam_authmech.py
/usr/share/pyshared/x2gobroker/authmechs/__init__.py
/usr/share/pyshared/x2gobroker/uccsjson.py
/usr/share/pyshared/x2gobroker/loggers.py
/usr/share/pyshared/x2gobroker-0.0.2.1.egg-info
/usr/share/pyshared/x2gobroker-0.0.2.1.egg-info/SOURCES.txt
/usr/share/pyshared/x2gobroker-0.0.2.1.egg-info/dependency_links.txt
/usr/share/pyshared/x2gobroker-0.0.2.1.egg-info/top_level.txt
/usr/share/pyshared/x2gobroker-0.0.2.1.egg-info/PKG-INFO
/usr/lib/python2.6/dist-packages/x2gobroker/web/extras.py
/usr/lib/python2.6/dist-packages/x2gobroker/web/__init__.py
/usr/lib/python2.6/dist-packages/x2gobroker/web/uccs.py
/usr/lib/python2.6/dist-packages/x2gobroker/web/html.py
/usr/lib/python2.6/dist-packages/x2gobroker/web/plain.py
/usr/lib/python2.6/dist-packages/x2gobroker/web/json.py
/usr/lib/python2.6/dist-packages/x2gobroker/brokers/zeroconf_broker.py
/usr/lib/python2.6/dist-packages/x2gobroker/brokers/ldap_broker.py
/usr/lib/python2.6/dist-packages/x2gobroker/brokers/base_broker.py
/usr/lib/python2.6/dist-packages/x2gobroker/brokers/__init__.py
/usr/lib/python2.6/dist-packages/x2gobroker/brokers/inifile_broker.py
/usr/lib/python2.6/dist-packages/x2gobroker/utils.py
/usr/lib/python2.6/dist-packages/x2gobroker/defaults.py
/usr/lib/python2.6/dist-packages/x2gobroker/agent.py
/usr/lib/python2.6/dist-packages/x2gobroker/basicauth.py
/usr/lib/python2.6/dist-packages/x2gobroker/authservice.py
/usr/lib/python2.6/dist-packages/x2gobroker/__init__.py
/usr/lib/python2.6/dist-packages/x2gobroker/tests/test_broker_zeroconf.py
/usr/lib/python2.6/dist-packages/x2gobroker/tests/test_broker_inifile.py
/usr/lib/python2.6/dist-packages/x2gobroker/tests/runalltests.py
/usr/lib/python2.6/dist-packages/x2gobroker/tests/__init__.py
/usr/lib/python2.6/dist-packages/x2gobroker/tests/test_uccsjson.py
/usr/lib/python2.6/dist-packages/x2gobroker/tests/test_web_uccs_zeroconf.py
/usr/lib/python2.6/dist-packages/x2gobroker/tests/test_web_plain_zeroconf.py
/usr/lib/python2.6/dist-packages/x2gobroker/tests/test_utils.py
/usr/lib/python2.6/dist-packages/x2gobroker/tests/test_broker_base.py
/usr/lib/python2.6/dist-packages/x2gobroker/tests/test_web_plain_inifile.py
/usr/lib/python2.6/dist-packages/x2gobroker/tests/test_web_plain_base.py
/usr/lib/python2.6/dist-packages/x2gobroker/x2gobroker_exceptions.py
/usr/lib/python2.6/dist-packages/x2gobroker/nameservices/libnss_nameservice.py
/usr/lib/python2.6/dist-packages/x2gobroker/nameservices/__init__.py
/usr/lib/python2.6/dist-packages/x2gobroker/nameservices/testsuite_nameservice.py
/usr/lib/python2.6/dist-packages/x2gobroker/nameservices/base_nameservice.py
/usr/lib/python2.6/dist-packages/x2gobroker/config.py
/usr/lib/python2.6/dist-packages/x2gobroker/_paramiko.py
/usr/lib/python2.6/dist-packages/x2gobroker/authmechs/testsuite_authmech.py
/usr/lib/python2.6/dist-packages/x2gobroker/authmechs/htpasswd_authmech.py
/usr/lib/python2.6/dist-packages/x2gobroker/authmechs/base_authmech.py
/usr/lib/python2.6/dist-packages/x2gobroker/authmechs/pam_authmech.py
/usr/lib/python2.6/dist-packages/x2gobroker/authmechs/__init__.py
/usr/lib/python2.6/dist-packages/x2gobroker/uccsjson.py
/usr/lib/python2.6/dist-packages/x2gobroker/loggers.py
/usr/lib/python2.6/dist-packages/x2gobroker-0.0.2.1.egg-info/SOURCES.txt
/usr/lib/python2.6/dist-packages/x2gobroker-0.0.2.1.egg-info/dependency_links.txt
/usr/lib/python2.6/dist-packages/x2gobroker-0.0.2.1.egg-info/top_level.txt
/usr/lib/python2.6/dist-packages/x2gobroker-0.0.2.1.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/x2gobroker/web/extras.py
/usr/lib/python2.7/dist-packages/x2gobroker/web/__init__.py
/usr/lib/python2.7/dist-packages/x2gobroker/web/uccs.py
/usr/lib/python2.7/dist-packages/x2gobroker/web/html.py
/usr/lib/python2.7/dist-packages/x2gobroker/web/plain.py
/usr/lib/python2.7/dist-packages/x2gobroker/web/json.py
/usr/lib/python2.7/dist-packages/x2gobroker/brokers/zeroconf_broker.py
/usr/lib/python2.7/dist-packages/x2gobroker/brokers/ldap_broker.py
/usr/lib/python2.7/dist-packages/x2gobroker/brokers/base_broker.py
/usr/lib/python2.7/dist-packages/x2gobroker/brokers/__init__.py
/usr/lib/python2.7/dist-packages/x2gobroker/brokers/inifile_broker.py
/usr/lib/python2.7/dist-packages/x2gobroker/utils.py
/usr/lib/python2.7/dist-packages/x2gobroker/defaults.py
/usr/lib/python2.7/dist-packages/x2gobroker/agent.py
/usr/lib/python2.7/dist-packages/x2gobroker/basicauth.py
/usr/lib/python2.7/dist-packages/x2gobroker/authservice.py
/usr/lib/python2.7/dist-packages/x2gobroker/__init__.py
/usr/lib/python2.7/dist-packages/x2gobroker/tests/test_broker_zeroconf.py
/usr/lib/python2.7/dist-packages/x2gobroker/tests/test_broker_inifile.py
/usr/lib/python2.7/dist-packages/x2gobroker/tests/runalltests.py
/usr/lib/python2.7/dist-packages/x2gobroker/tests/__init__.py
/usr/lib/python2.7/dist-packages/x2gobroker/tests/test_uccsjson.py
/usr/lib/python2.7/dist-packages/x2gobroker/tests/test_web_uccs_zeroconf.py
/usr/lib/python2.7/dist-packages/x2gobroker/tests/test_web_plain_zeroconf.py
/usr/lib/python2.7/dist-packages/x2gobroker/tests/test_utils.py
/usr/lib/python2.7/dist-packages/x2gobroker/tests/test_broker_base.py
/usr/lib/python2.7/dist-packages/x2gobroker/tests/test_web_plain_inifile.py
/usr/lib/python2.7/dist-packages/x2gobroker/tests/test_web_plain_base.py
/usr/lib/python2.7/dist-packages/x2gobroker/x2gobroker_exceptions.py
/usr/lib/python2.7/dist-packages/x2gobroker/nameservices/libnss_nameservice.py
/usr/lib/python2.7/dist-packages/x2gobroker/nameservices/__init__.py
/usr/lib/python2.7/dist-packages/x2gobroker/nameservices/testsuite_nameservice.py
/usr/lib/python2.7/dist-packages/x2gobroker/nameservices/base_nameservice.py
/usr/lib/python2.7/dist-packages/x2gobroker/config.py
/usr/lib/python2.7/dist-packages/x2gobroker/_paramiko.py
/usr/lib/python2.7/dist-packages/x2gobroker/authmechs/testsuite_authmech.py
/usr/lib/python2.7/dist-packages/x2gobroker/authmechs/htpasswd_authmech.py
/usr/lib/python2.7/dist-packages/x2gobroker/authmechs/base_authmech.py
/usr/lib/python2.7/dist-packages/x2gobroker/authmechs/pam_authmech.py
/usr/lib/python2.7/dist-packages/x2gobroker/authmechs/__init__.py
/usr/lib/python2.7/dist-packages/x2gobroker/uccsjson.py
/usr/lib/python2.7/dist-packages/x2gobroker/loggers.py
/usr/lib/python2.7/dist-packages/x2gobroker-0.0.2.1.egg-info/SOURCES.txt
/usr/lib/python2.7/dist-packages/x2gobroker-0.0.2.1.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/x2gobroker-0.0.2.1.egg-info/top_level.txt
/usr/lib/python2.7/dist-packages/x2gobroker-0.0.2.1.egg-info/PKG-INFO

x2gobroker:

/.
/usr
/usr/sbin
/usr/sbin/x2gobroker
/usr/sbin/x2gobroker-keygen
/usr/share
/usr/share/man
/usr/share/man/man8
/usr/share/man/man8/x2gobroker-keygen.8.gz
/usr/share/man/man8/x2gobroker.8.gz
/usr/share/man/man8/x2gobroker-testauth.8.gz
/usr/share/doc
/usr/share/doc/x2gobroker
/usr/share/doc/x2gobroker/README
/usr/share/doc/x2gobroker/NEWS.gz
/usr/share/doc/x2gobroker/buildinfo_all.gz
/usr/share/doc/x2gobroker/copyright
/usr/share/doc/x2gobroker/TODO
/usr/share/doc/x2gobroker/changelog.Debian.gz
/usr/bin
/usr/bin/x2gobroker-testauth

x2gobroker-authservice:

/.
/etc
/etc/default
/etc/default/x2gobroker-authservice
/etc/logrotate.d
/etc/logrotate.d/x2gobroker-authservice
/etc/init.d
/etc/init.d/x2gobroker-authservice
/etc/x2go
/etc/x2go/broker
/etc/x2go/broker/x2gobroker-authservice-logger.conf
/usr
/usr/sbin
/usr/sbin/x2gobroker-authservice
/usr/share
/usr/share/man
/usr/share/man/man8
/usr/share/man/man8/x2gobroker-authservice.8.gz
/usr/share/doc
/usr/share/doc/x2gobroker-authservice
/usr/share/doc/x2gobroker-authservice/README
/usr/share/doc/x2gobroker-authservice/NEWS.gz
/usr/share/doc/x2gobroker-authservice/buildinfo_all.gz
/usr/share/doc/x2gobroker-authservice/copyright
/usr/share/doc/x2gobroker-authservice/TODO
/usr/share/doc/x2gobroker-authservice/changelog.Debian.gz

x2gobroker-daemon:

/.
/etc
/etc/default
/etc/default/x2gobroker-daemon
/etc/logrotate.d
/etc/logrotate.d/x2gobroker-daemon
/etc/init.d
/etc/init.d/x2gobroker-daemon
/usr
/usr/share
/usr/share/doc
/usr/share/doc/x2gobroker-daemon
/usr/share/doc/x2gobroker-daemon/README
/usr/share/doc/x2gobroker-daemon/NEWS.gz
/usr/share/doc/x2gobroker-daemon/buildinfo_all.gz
/usr/share/doc/x2gobroker-daemon/copyright
/usr/share/doc/x2gobroker-daemon/TODO
/usr/share/doc/x2gobroker-daemon/changelog.Debian.gz

x2gobroker-wsgi:

/.
/etc
/etc/apache2
/etc/apache2/sites-available
/etc/apache2/conf.d
/etc/logrotate.d
/etc/logrotate.d/x2gobroker-wsgi
/etc/x2go
/etc/x2go/x2gobroker-wsgi.apache.vhost
/etc/x2go/x2gobroker-wsgi.apache.conf
/usr
/usr/share
/usr/share/doc
/usr/share/doc/x2gobroker-wsgi
/usr/share/doc/x2gobroker-wsgi/README
/usr/share/doc/x2gobroker-wsgi/NEWS.gz
/usr/share/doc/x2gobroker-wsgi/buildinfo_all.gz
/usr/share/doc/x2gobroker-wsgi/copyright
/usr/share/doc/x2gobroker-wsgi/TODO
/usr/share/doc/x2gobroker-wsgi/changelog.Debian.gz
/etc/apache2/sites-available/x2gobroker
/etc/apache2/conf.d/x2gobroker-wsgi

x2gobroker-agent:

/.
/usr
/usr/lib
/usr/lib/x2go
/usr/lib/x2go/x2gobroker-agent.pl
/usr/lib/x2go/x2gobroker-agent
/usr/sbin
/usr/sbin/x2gobroker-pubkeyauthorizer
/usr/share
/usr/share/man
/usr/share/man/man8
/usr/share/man/man8/x2gobroker-pubkeyauthorizer.8.gz
/usr/share/doc
/usr/share/doc/x2gobroker-agent
/usr/share/doc/x2gobroker-agent/README
/usr/share/doc/x2gobroker-agent/NEWS.gz
/usr/share/doc/x2gobroker-agent/copyright
/usr/share/doc/x2gobroker-agent/TODO
/usr/share/doc/x2gobroker-agent/buildinfo_amd64.gz
/usr/share/doc/x2gobroker-agent/changelog.Debian.gz

Let me know if you are available (via your contract with Michael?) to  
work on this. This will tremendously speed up the fixture of this bug.

Thanks+Greets,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#201; Package x2gobroker. (Tue, 14 May 2013 22:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jan Engelhardt <jengelh@inai.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 14 May 2013 22:33:02 GMT) Full text and rfc822 format available.

Message #20 received at 201@bugs.x2go.org (full text, mbox):

From: Jan Engelhardt <jengelh@inai.de>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 201@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#201: x2gobroker: incomplete install
Date: Wed, 15 May 2013 00:33:00 +0200 (CEST)
On Tuesday 2013-05-14 12:48, Mike Gabriel wrote:
>> What is expected instead:
>> Install the just-compiled programs and python codes.
>
> The source tree of x2gobroker.git provides several binary packages to install
> (see /debian/control for details and dependencies [1]).

I have looked at /debian/*.install and wrote the Makefile
(posted to this bug) based upon that for a start.
If it is not complete, this can be addresses in further
patches on top.


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#201; Package x2gobroker. (Wed, 15 May 2013 08:18:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 15 May 2013 08:18:01 GMT) Full text and rfc822 format available.

Message #25 received at 201@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 201-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 201@bugs.x2go.org
Subject: X2Go issue (in src:x2gobroker) has been marked as pending for release
Date: Wed, 15 May 2013 10:15:37 +0200 (CEST)
tag #201 pending
fixed #201 0.0.2.1
thanks

Hello,

X2Go issue #201 (src:x2gobroker) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2gobroker.git;a=commitdiff;h=a62fa86

The issue will most likely be fixed in src:x2gobroker (0.0.2.1).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit a62fa864d38a7bad4938905782049d5d6af8d9bc
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Wed May 15 10:15:23 2013 +0200

    Populate install target of Makefile. (Fixes: #201).

diff --git a/debian/changelog b/debian/changelog
index c7712eb..91ee2fc 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,12 +1,17 @@
 x2gobroker (0.0.2.1-0~x2go1) UNRELEASED; urgency=low
 
-  * New upstream version (0.0.2.0):
+  [ Mike Gabriel ]
+  * New upstream version (0.0.2.1):
     - Remove trainling slashes from ManagementServer URLs.
     - In Apache2 vhost configuration example, move WSGI environment
       variable settings into VirtualHost setup.
     - Remove unused, not-yet-developed broker backends and frontends.
     - Remove old cruft from x2gobroker.conf.
 
+  [ Jan Engelhardt ]
+  * New upstream version (0.0.2.1):
+    - Populate install target of Makefile. (Fixes: #201).
+
  -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 01 May 2013 21:07:41 +0200
 
 x2gobroker (0.0.2.0-0~x2go1) unstable; urgency=low


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 15 May 2013 08:18:02 GMT) Full text and rfc822 format available.

Marked as fixed in versions 0.0.2.1. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 15 May 2013 08:18:02 GMT) Full text and rfc822 format available.

Message sent on to Jan Engelhardt <jengelh@inai.de>:
Bug#201. (Wed, 15 May 2013 08:18:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#201; Package x2gobroker. (Wed, 15 May 2013 14:48:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jan Engelhardt <jengelh@inai.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 15 May 2013 14:48:01 GMT) Full text and rfc822 format available.

Message #37 received at 201@bugs.x2go.org (full text, mbox):

From: Jan Engelhardt <jengelh@inai.de>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 201@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#201: x2gobroker: incomplete install
Date: Wed, 15 May 2013 16:37:06 +0200 (CEST)
On Tuesday 2013-05-14 12:48, Mike Gabriel wrote:
> python-x2gobroker (mostly covered by setup.py):
>
> /.
> /etc
> /etc/default
> /etc/default/python-x2gobroker
[...]

Ich habe keinen Plan, wo die Datei herkommen soll. Sie ist
in /debian/* absolut nicht referenziert.


--- yourlist	2013-05-15 16:34:44.890113044 +0200
+++ susepkg	2013-05-15 16:31:32.657658085 +0200
@@ -1,22 +1,11 @@
-/etc
-/etc/apache2
-/etc/apache2/conf.d
-/etc/apache2/conf.d/x2gobroker-wsgi
-/etc/apache2/sites-available
-/etc/apache2/sites-available/x2gobroker
-/etc/default
-/etc/default/python-x2gobroker
-/etc/default/x2gobroker-authservice
-/etc/default/x2gobroker-daemon
-/etc/init.d
-/etc/init.d/x2gobroker-authservice
-/etc/init.d/x2gobroker-daemon
-/etc/logrotate.d
 /etc/logrotate.d/x2gobroker-authservice
 /etc/logrotate.d/x2gobroker-daemon
 /etc/logrotate.d/x2gobroker-wsgi
 /etc/pam.d
 /etc/pam.d/x2gobroker
+/etc/permissions.d/x2gobroker.easy
+/etc/permissions.d/x2gobroker.paranoid
+/etc/permissions.d/x2gobroker.secure
 /etc/x2go
 /etc/x2go/broker
 /etc/x2go/broker/x2gobroker-authservice-logger.conf
@@ -25,178 +14,108 @@
 /etc/x2go/x2gobroker-wsgi.apache.conf
 /etc/x2go/x2gobroker-wsgi.apache.vhost
 /etc/x2go/x2gobroker.conf
-/usr
-/usr/bin
 /usr/bin/x2gobroker-testauth
-/usr/lib
-/usr/lib/python2.7
-/usr/lib/python2.7/site-packages
 /usr/lib/python2.7/site-packages/x2gobroker
-/usr/lib/python2.7/site-packages/x2gobroker-0.0.2.1.egg-info
-/usr/lib/python2.7/site-packages/x2gobroker-0.0.2.1.egg-info/PKG-INFO
-/usr/lib/python2.7/site-packages/x2gobroker-0.0.2.1.egg-info/SOURCES.txt
-/usr/lib/python2.7/site-packages/x2gobroker-0.0.2.1.egg-info/dependency_links.txt
-/usr/lib/python2.7/site-packages/x2gobroker-0.0.2.1.egg-info/top_level.txt
+/usr/lib/python2.7/site-packages/x2gobroker-0.0.1.2-py2.7.egg-info
+/usr/lib/python2.7/site-packages/x2gobroker-0.0.1.2-py2.7.egg-info/PKG-INFO
+/usr/lib/python2.7/site-packages/x2gobroker-0.0.1.2-py2.7.egg-info/SOURCES.txt
+/usr/lib/python2.7/site-packages/x2gobroker-0.0.1.2-py2.7.egg-info/dependency_links.txt
+/usr/lib/python2.7/site-packages/x2gobroker-0.0.1.2-py2.7.egg-info/top_level.txt
 /usr/lib/python2.7/site-packages/x2gobroker/__init__.py
+/usr/lib/python2.7/site-packages/x2gobroker/__init__.pyc
 /usr/lib/python2.7/site-packages/x2gobroker/_paramiko.py
+/usr/lib/python2.7/site-packages/x2gobroker/_paramiko.pyc
 /usr/lib/python2.7/site-packages/x2gobroker/agent.py
+/usr/lib/python2.7/site-packages/x2gobroker/agent.pyc
 /usr/lib/python2.7/site-packages/x2gobroker/authmechs
 /usr/lib/python2.7/site-packages/x2gobroker/authmechs/__init__.py
+/usr/lib/python2.7/site-packages/x2gobroker/authmechs/__init__.pyc
 /usr/lib/python2.7/site-packages/x2gobroker/authmechs/base_authmech.py
+/usr/lib/python2.7/site-packages/x2gobroker/authmechs/base_authmech.pyc
 /usr/lib/python2.7/site-packages/x2gobroker/authmechs/htpasswd_authmech.py
+/usr/lib/python2.7/site-packages/x2gobroker/authmechs/htpasswd_authmech.pyc
 /usr/lib/python2.7/site-packages/x2gobroker/authmechs/pam_authmech.py
+/usr/lib/python2.7/site-packages/x2gobroker/authmechs/pam_authmech.pyc
 /usr/lib/python2.7/site-packages/x2gobroker/authmechs/testsuite_authmech.py
+/usr/lib/python2.7/site-packages/x2gobroker/authmechs/testsuite_authmech.pyc
 /usr/lib/python2.7/site-packages/x2gobroker/authservice.py
+/usr/lib/python2.7/site-packages/x2gobroker/authservice.pyc
 /usr/lib/python2.7/site-packages/x2gobroker/basicauth.py
+/usr/lib/python2.7/site-packages/x2gobroker/basicauth.pyc
 /usr/lib/python2.7/site-packages/x2gobroker/brokers
 /usr/lib/python2.7/site-packages/x2gobroker/brokers/__init__.py
+/usr/lib/python2.7/site-packages/x2gobroker/brokers/__init__.pyc
 /usr/lib/python2.7/site-packages/x2gobroker/brokers/base_broker.py
+/usr/lib/python2.7/site-packages/x2gobroker/brokers/base_broker.pyc
 /usr/lib/python2.7/site-packages/x2gobroker/brokers/inifile_broker.py
+/usr/lib/python2.7/site-packages/x2gobroker/brokers/inifile_broker.pyc
 /usr/lib/python2.7/site-packages/x2gobroker/brokers/ldap_broker.py
+/usr/lib/python2.7/site-packages/x2gobroker/brokers/ldap_broker.pyc
 /usr/lib/python2.7/site-packages/x2gobroker/brokers/zeroconf_broker.py
+/usr/lib/python2.7/site-packages/x2gobroker/brokers/zeroconf_broker.pyc
 /usr/lib/python2.7/site-packages/x2gobroker/config.py
+/usr/lib/python2.7/site-packages/x2gobroker/config.pyc
 /usr/lib/python2.7/site-packages/x2gobroker/defaults.py
+/usr/lib/python2.7/site-packages/x2gobroker/defaults.pyc
 /usr/lib/python2.7/site-packages/x2gobroker/loggers.py
+/usr/lib/python2.7/site-packages/x2gobroker/loggers.pyc
 /usr/lib/python2.7/site-packages/x2gobroker/nameservices
 /usr/lib/python2.7/site-packages/x2gobroker/nameservices/__init__.py
+/usr/lib/python2.7/site-packages/x2gobroker/nameservices/__init__.pyc
 /usr/lib/python2.7/site-packages/x2gobroker/nameservices/base_nameservice.py
+/usr/lib/python2.7/site-packages/x2gobroker/nameservices/base_nameservice.pyc
 /usr/lib/python2.7/site-packages/x2gobroker/nameservices/libnss_nameservice.py
+/usr/lib/python2.7/site-packages/x2gobroker/nameservices/libnss_nameservice.pyc
 /usr/lib/python2.7/site-packages/x2gobroker/nameservices/testsuite_nameservice.py
+/usr/lib/python2.7/site-packages/x2gobroker/nameservices/testsuite_nameservice.pyc
 /usr/lib/python2.7/site-packages/x2gobroker/tests
 /usr/lib/python2.7/site-packages/x2gobroker/tests/__init__.py
+/usr/lib/python2.7/site-packages/x2gobroker/tests/__init__.pyc
 /usr/lib/python2.7/site-packages/x2gobroker/tests/runalltests.py
+/usr/lib/python2.7/site-packages/x2gobroker/tests/runalltests.pyc
 /usr/lib/python2.7/site-packages/x2gobroker/tests/test_broker_base.py
+/usr/lib/python2.7/site-packages/x2gobroker/tests/test_broker_base.pyc
 /usr/lib/python2.7/site-packages/x2gobroker/tests/test_broker_inifile.py
+/usr/lib/python2.7/site-packages/x2gobroker/tests/test_broker_inifile.pyc
 /usr/lib/python2.7/site-packages/x2gobroker/tests/test_broker_zeroconf.py
+/usr/lib/python2.7/site-packages/x2gobroker/tests/test_broker_zeroconf.pyc
 /usr/lib/python2.7/site-packages/x2gobroker/tests/test_uccsjson.py
+/usr/lib/python2.7/site-packages/x2gobroker/tests/test_uccsjson.pyc
 /usr/lib/python2.7/site-packages/x2gobroker/tests/test_utils.py
+/usr/lib/python2.7/site-packages/x2gobroker/tests/test_utils.pyc
 /usr/lib/python2.7/site-packages/x2gobroker/tests/test_web_plain_base.py
+/usr/lib/python2.7/site-packages/x2gobroker/tests/test_web_plain_base.pyc
 /usr/lib/python2.7/site-packages/x2gobroker/tests/test_web_plain_inifile.py
+/usr/lib/python2.7/site-packages/x2gobroker/tests/test_web_plain_inifile.pyc
 /usr/lib/python2.7/site-packages/x2gobroker/tests/test_web_plain_zeroconf.py
+/usr/lib/python2.7/site-packages/x2gobroker/tests/test_web_plain_zeroconf.pyc
 /usr/lib/python2.7/site-packages/x2gobroker/tests/test_web_uccs_zeroconf.py
+/usr/lib/python2.7/site-packages/x2gobroker/tests/test_web_uccs_zeroconf.pyc
 /usr/lib/python2.7/site-packages/x2gobroker/uccsjson.py
+/usr/lib/python2.7/site-packages/x2gobroker/uccsjson.pyc
 /usr/lib/python2.7/site-packages/x2gobroker/utils.py
+/usr/lib/python2.7/site-packages/x2gobroker/utils.pyc
 /usr/lib/python2.7/site-packages/x2gobroker/web
 /usr/lib/python2.7/site-packages/x2gobroker/web/__init__.py
+/usr/lib/python2.7/site-packages/x2gobroker/web/__init__.pyc
 /usr/lib/python2.7/site-packages/x2gobroker/web/extras.py
+/usr/lib/python2.7/site-packages/x2gobroker/web/extras.pyc
 /usr/lib/python2.7/site-packages/x2gobroker/web/html.py
+/usr/lib/python2.7/site-packages/x2gobroker/web/html.pyc
 /usr/lib/python2.7/site-packages/x2gobroker/web/json.py
+/usr/lib/python2.7/site-packages/x2gobroker/web/json.pyc
 /usr/lib/python2.7/site-packages/x2gobroker/web/plain.py
+/usr/lib/python2.7/site-packages/x2gobroker/web/plain.pyc
 /usr/lib/python2.7/site-packages/x2gobroker/web/uccs.py
+/usr/lib/python2.7/site-packages/x2gobroker/web/uccs.pyc
 /usr/lib/python2.7/site-packages/x2gobroker/x2gobroker_exceptions.py
+/usr/lib/python2.7/site-packages/x2gobroker/x2gobroker_exceptions.pyc
 /usr/lib/x2go
 /usr/lib/x2go/x2gobroker-agent
 /usr/lib/x2go/x2gobroker-agent.pl
-/usr/sbin
 /usr/sbin/x2gobroker
 /usr/sbin/x2gobroker-authservice
 /usr/sbin/x2gobroker-keygen
 /usr/sbin/x2gobroker-pubkeyauthorizer
-/usr/share
-/usr/share/doc
-/usr/share/doc/python-x2gobroker
-/usr/share/doc/python-x2gobroker/NEWS.gz
-/usr/share/doc/python-x2gobroker/README
-/usr/share/doc/python-x2gobroker/TODO
-/usr/share/doc/python-x2gobroker/buildinfo_all.gz
-/usr/share/doc/python-x2gobroker/changelog.Debian.gz
-/usr/share/doc/python-x2gobroker/copyright
-/usr/share/doc/x2gobroker
-/usr/share/doc/x2gobroker-agent
-/usr/share/doc/x2gobroker-agent/NEWS.gz
-/usr/share/doc/x2gobroker-agent/README
-/usr/share/doc/x2gobroker-agent/TODO
-/usr/share/doc/x2gobroker-agent/buildinfo_amd64.gz
-/usr/share/doc/x2gobroker-agent/changelog.Debian.gz
-/usr/share/doc/x2gobroker-agent/copyright
-/usr/share/doc/x2gobroker-authservice
-/usr/share/doc/x2gobroker-authservice/NEWS.gz
-/usr/share/doc/x2gobroker-authservice/README
-/usr/share/doc/x2gobroker-authservice/TODO
-/usr/share/doc/x2gobroker-authservice/buildinfo_all.gz
-/usr/share/doc/x2gobroker-authservice/changelog.Debian.gz
-/usr/share/doc/x2gobroker-authservice/copyright
-/usr/share/doc/x2gobroker-daemon
-/usr/share/doc/x2gobroker-daemon/NEWS.gz
-/usr/share/doc/x2gobroker-daemon/README
-/usr/share/doc/x2gobroker-daemon/TODO
-/usr/share/doc/x2gobroker-daemon/buildinfo_all.gz
-/usr/share/doc/x2gobroker-daemon/changelog.Debian.gz
-/usr/share/doc/x2gobroker-daemon/copyright
-/usr/share/doc/x2gobroker-wsgi
-/usr/share/doc/x2gobroker-wsgi/NEWS.gz
-/usr/share/doc/x2gobroker-wsgi/README
-/usr/share/doc/x2gobroker-wsgi/TODO
-/usr/share/doc/x2gobroker-wsgi/buildinfo_all.gz
-/usr/share/doc/x2gobroker-wsgi/changelog.Debian.gz
-/usr/share/doc/x2gobroker-wsgi/copyright
-/usr/share/doc/x2gobroker/NEWS.gz
-/usr/share/doc/x2gobroker/README
-/usr/share/doc/x2gobroker/TODO
-/usr/share/doc/x2gobroker/buildinfo_all.gz
-/usr/share/doc/x2gobroker/changelog.Debian.gz
-/usr/share/doc/x2gobroker/copyright
-/usr/share/man
-/usr/share/man/man8
-/usr/share/man/man8/x2gobroker-authservice.8.gz
-/usr/share/man/man8/x2gobroker-keygen.8.gz
-/usr/share/man/man8/x2gobroker-pubkeyauthorizer.8.gz
-/usr/share/man/man8/x2gobroker-testauth.8.gz
-/usr/share/man/man8/x2gobroker.8.gz
-/usr/share/pyshared
-/usr/share/pyshared/x2gobroker
-/usr/share/pyshared/x2gobroker-0.0.2.1.egg-info
-/usr/share/pyshared/x2gobroker-0.0.2.1.egg-info/PKG-INFO
-/usr/share/pyshared/x2gobroker-0.0.2.1.egg-info/SOURCES.txt
-/usr/share/pyshared/x2gobroker-0.0.2.1.egg-info/dependency_links.txt
-/usr/share/pyshared/x2gobroker-0.0.2.1.egg-info/top_level.txt
-/usr/share/pyshared/x2gobroker/__init__.py
-/usr/share/pyshared/x2gobroker/_paramiko.py
-/usr/share/pyshared/x2gobroker/agent.py
-/usr/share/pyshared/x2gobroker/authmechs
-/usr/share/pyshared/x2gobroker/authmechs/__init__.py
-/usr/share/pyshared/x2gobroker/authmechs/base_authmech.py
-/usr/share/pyshared/x2gobroker/authmechs/htpasswd_authmech.py
-/usr/share/pyshared/x2gobroker/authmechs/pam_authmech.py
-/usr/share/pyshared/x2gobroker/authmechs/testsuite_authmech.py
-/usr/share/pyshared/x2gobroker/authservice.py
-/usr/share/pyshared/x2gobroker/basicauth.py
-/usr/share/pyshared/x2gobroker/brokers
-/usr/share/pyshared/x2gobroker/brokers/__init__.py
-/usr/share/pyshared/x2gobroker/brokers/base_broker.py
-/usr/share/pyshared/x2gobroker/brokers/inifile_broker.py
-/usr/share/pyshared/x2gobroker/brokers/ldap_broker.py
-/usr/share/pyshared/x2gobroker/brokers/zeroconf_broker.py
-/usr/share/pyshared/x2gobroker/config.py
-/usr/share/pyshared/x2gobroker/defaults.py
-/usr/share/pyshared/x2gobroker/loggers.py
-/usr/share/pyshared/x2gobroker/nameservices
-/usr/share/pyshared/x2gobroker/nameservices/__init__.py
-/usr/share/pyshared/x2gobroker/nameservices/base_nameservice.py
-/usr/share/pyshared/x2gobroker/nameservices/libnss_nameservice.py
-/usr/share/pyshared/x2gobroker/nameservices/testsuite_nameservice.py
-/usr/share/pyshared/x2gobroker/tests
-/usr/share/pyshared/x2gobroker/tests/__init__.py
-/usr/share/pyshared/x2gobroker/tests/runalltests.py
-/usr/share/pyshared/x2gobroker/tests/test_broker_base.py
-/usr/share/pyshared/x2gobroker/tests/test_broker_inifile.py
-/usr/share/pyshared/x2gobroker/tests/test_broker_zeroconf.py
-/usr/share/pyshared/x2gobroker/tests/test_uccsjson.py
-/usr/share/pyshared/x2gobroker/tests/test_utils.py
-/usr/share/pyshared/x2gobroker/tests/test_web_plain_base.py
-/usr/share/pyshared/x2gobroker/tests/test_web_plain_inifile.py
-/usr/share/pyshared/x2gobroker/tests/test_web_plain_zeroconf.py
-/usr/share/pyshared/x2gobroker/tests/test_web_uccs_zeroconf.py
-/usr/share/pyshared/x2gobroker/uccsjson.py
-/usr/share/pyshared/x2gobroker/utils.py
-/usr/share/pyshared/x2gobroker/web
-/usr/share/pyshared/x2gobroker/web/__init__.py
-/usr/share/pyshared/x2gobroker/web/extras.py
-/usr/share/pyshared/x2gobroker/web/html.py
-/usr/share/pyshared/x2gobroker/web/json.py
-/usr/share/pyshared/x2gobroker/web/plain.py
-/usr/share/pyshared/x2gobroker/web/uccs.py
-/usr/share/pyshared/x2gobroker/x2gobroker_exceptions.py
-/var
-/var/log
+/var/lib/x2gobroker
 /var/log/x2gobroker


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#201; Package x2gobroker. (Sun, 19 May 2013 10:48:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sun, 19 May 2013 10:48:01 GMT) Full text and rfc822 format available.

Message #42 received at 201@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 201-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 201@bugs.x2go.org
Subject: X2Go issue (in src:x2gobroker) has been marked as closed
Date: Sun, 19 May 2013 12:43:45 +0200 (CEST)
close #201
thanks

Hello,

we are very hopeful that X2Go issue #201 reported by you
has been resolved in the new release (0.0.2.1) of the
X2Go source project »src:x2gobroker«.

You can view the complete changelog entry of src:x2gobroker (0.0.2.1)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2gobroker.

    http://code.x2go.org/gitweb?p=x2gobroker.git;a=commitdiff;h=e7ba5f8e1a81d814f4d3e9f82ad6e9bc2855e7cd;hp=363a8fb21e215d403ef81c9bfc0d079d431bacce

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2gobroker.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2gobroker
Version: 0.0.2.1
Status: RELEASE
Date: Sun, 19 May 2013 12:41:06 +0200
Fixes: 201 210 211
Changes: 
 x2gobroker (0.0.2.1) RELEASED; urgency=low
 .
   [ Mike Gabriel ]
   * New upstream version (0.0.2.1):
     - Remove trailing slashes from ManagementServer URLs.
     - In Apache2 vhost configuration example, move WSGI environment
       variable settings into VirtualHost setup.
     - Remove unused, not-yet-developed broker backends and frontends.
     - Remove old cruft from x2gobroker.conf.
     - Security fix for setuid wrapper x2gobroker-agent.c. Hard-code path to
       x2gobroker-agent.pl during build via defining a macro in the Makefile.
       Thanks to Richard Weinberger for spotting this!!!
     - Handle URLs in plain WebUI that have slashes (and subpaths) in the
       backend name.
     - In WSGI mode: only populate os.environ with variables matching
       »X2GOBROKER_*«.
     - Make X2GOBROKER_SESSIONPROFILES configurable via a SetEnv WSGI parameter
       in the httpd configuration possible. (Fixes: #210).
   * Provide init scripts and *.default files outside of /debian folder (as
     they are also relevant for non-Debian packaging).
 .
   [ Jan Engelhardt ]
   * New upstream version (0.0.2.1):
     - Populate install target of Makefile. (Fixes: #201).
     - Install man pages and default files through Makefile, as well. (Fixes:
       #211).


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sun, 19 May 2013 10:48:04 GMT) Full text and rfc822 format available.

Notification sent to Jan Engelhardt <jengelh@inai.de>:
Bug acknowledged by developer. (Sun, 19 May 2013 10:48:04 GMT) Full text and rfc822 format available.

Message sent on to Jan Engelhardt <jengelh@inai.de>:
Bug#201. (Sun, 19 May 2013 10:48:05 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Mon, 17 Jun 2013 05:24:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Tue Apr 23 10:47:19 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.